<?php

namespace App\Controllers\Admin;

use App\Controllers\BaseController;
use App\Models\Admin\OrdersModel;

class Order extends BaseController
{

    private $orderModel;

    public function __construct()
    {
        $this->orderModel = new OrdersModel();
    }

    public function index()
    {
        $orders = $this->orderModel->orderBy('id', 'DESC')->paginate();
        return view('admin/order/index', [
            'title' => 'Список заказов',
            'orders' => $orders,
            'pager' => $this->orderModel->pager,
        ]);
    }
}
