<?php /** @var array $products */ ?>
<?php foreach ($products as $product): ?>
    <div class="col-lg-4 col-sm-6 mb-3">
        <div class="product-card">
            <div class="product-tumb">
                <a href="<?= route_to('product.show', $product['slug']) ?>"><img src="<?= $product['img'] ?>" alt=""></a>
            </div>
            <div class="product-details">
                <h4><a href="<?= route_to('product.show', $product['slug']) ?>"><?= $product['title'] ?></a></h4>
                <p><?= $product['excerpt'] ?></p>
                <div class="product-bottom-details d-flex justify-content-between">
                    <div class="product-price">
                        <?php if ($product['old_price']): ?>
                            <small>$<?= $product['old_price'] ?></small>
                        <?php endif; ?>
                        $<?= $product['price'] ?>
                    </div>
                    <div class="product-links">
                        <a href="<?= route_to('cart.add', $product['id']) ?>" class="add-to-cart" data-id="<?= $product['id'] ?>">
                            <?= get_cart_icon($product['id']) ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endforeach; ?>
